Gecode::FloatTraceDelta Class Reference
Functionality by programming task » Programming models » Tracing constraint propagation » Tracing for float variables

Trace delta information for float variables. More...

`#include <float.hh>`

## Protected Attributes

Float::FloatView | n
| New view.
const Delta & | d
| Delta information.

## Constructor

| FloatTraceDelta (Float::FloatTraceView o, Float::FloatView n, const Delta &d)
| Initialize with old trace view o, new view n, and delta d.

## Access

FloatNum | min (void) const
| Return minimum.
FloatNum | max (void) const
| Return maximum.

## Detailed Description

Trace delta information for float variables.

Definition at line 2049 of file float.hh.

## Constructor & Destructor Documentation

## FloatTraceDelta()

Gecode::FloatTraceDelta::FloatTraceDelta | ( | Float::FloatTraceView | o,
|  | Float::FloatView | n,
|  | const Delta & | d )

inline

Initialize with old trace view o, new view n, and delta d.

Definition at line 37 of file delta.hpp.

## Member Function Documentation

## min()

FloatNum Gecode::FloatTraceDelta::min | ( | void |  | ) | const

inline

Return minimum.

Definition at line 44 of file delta.hpp.

## max()

FloatNum Gecode::FloatTraceDelta::max | ( | void |  | ) | const

inline

Return maximum.

Definition at line 49 of file delta.hpp.

## Member Data Documentation

## n

Float::FloatView Gecode::FloatTraceDelta::n

protected

New view.

Definition at line 2052 of file float.hh.

## d

const Delta& Gecode::FloatTraceDelta::d

protected

Delta information.

Definition at line 2054 of file float.hh.

The documentation for this class was generated from the following files:

- gecode/float.hh
- gecode/float/trace/delta.hpp